package com.ruoyi.interfaces.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.interfaces.domain.MdModelInfo;
import com.ruoyi.interfaces.domain.PtService;
import com.ruoyi.interfaces.domain.vo.MdModelInfoVo;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @author LinQiLong
 * @date 2021/12/21 15:55
 */
public interface PtServiceService extends IService<PtService> {

    /**
     * 保存服务信息
     * @param ptService 服务信息
     * @return 服务
     */
//    PtService save(PtService ptService);

    PtService insert(PtService ptService);

    PtService update(PtService ptService);

    /**
     * @return 申请数量Top10的数据
     */
    List<PtService> listOfCntTop10();

    /**
     * @return 最近新增数据Top20
     */
    List<PtService> listOfTmTop20();

    /**
     * @return 获取返回
     */
    void refreshRankingList();

    /**
     * @return 获取 RankingList
     */
    Map<String, List<PtService>> getRankingList();

    PtService get(String srvId);

    MdModelInfoVo modelService(MdModelInfoVo par);

    List<PtService> selectAllColumns(PtService ptService);

    int put(PtService ptService);

    String testRun(PtService ptService) throws IOException;

    int audit(String[] srvIds, String audit);
}
